OI Payments Docs
API ReferenceRefunds

Create_1

POST
/api/v1/payments/{id}/refunds

Path Parameters

id*integer

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/v1/payments/0/refunds" \  -H "Content-Type: application/json" \  -d '{    "amountMinor": 0  }'
{
  "data": {
    "id": 0,
    "paymentId": 0,
    "mode": "string",
    "amountMinor": 0,
    "currency": "string",
    "reason": "string",
    "status": "string",
    "gatewayRefundId": "string",
    "createdBy": "string",
    "approvedBy": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}